%global _hardened_build 1

Summary: TCP redirection server
Name: rinetd
Version: 0.62
Release: 26%{?dist}
License: GPLv2+
URL: http://www.boutell.com/rinetd
Source0: http://www.boutell.com/rinetd/http/rinetd.tar.gz 
Source1: rinetd.conf
Source2: rinetd.service
Source3: rinetd.logrotate
Patch0:  rinetd-0.62-ldflags.patch
BuildRequires:  gcc
BuildRequires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires(post): systemd-sysv

%description
rinetd is a daemon which redirects TCP connections from one IP address
and port to another IP address and port. This daemon is often used to
access services behind a firewall.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .ldflags

%build
make CFLAGS="-DLINUX -g $RPM_OPT_FLAGS" LDFLAGS="${LDFLAGS:-%__global_ldflags}" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -p -m 0755 rinetd $RPM_BUILD_ROOT%{_sbindir}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 0644 rinetd.8 $RPM_BUILD_ROOT%{_mandir}/man8

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/rinetd

install -p -m 644 $RPM_SOURCE_DIR/rinetd.service \
        $RPM_BUILD_ROOT%{_unitdir}/rinetd.service

%post
%systemd_post rinetd.service

%preun
%systemd_preun rinetd.service

%postun
%systemd_postun_with_restart rinetd.service

%triggerun -- rinetd < 0.62-14
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply rinetd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save rinetd >/dev/null 2>&1 ||:

# If the package is allowed to autostart:
/bin/systemctl --no-reload enable rinetd.service >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del rinetd >/dev/null 2>&1 || :
/bin/systemctl try-restart rinetd.service >/dev/null 2>&1 || :

%files
%doc CHANGES README index.html
%{_sbindir}/*
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/rinetd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/rinetd
%{_unitdir}/*.service

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 07 2014 Jan Kaluza <jkaluza@redhat.com> - 0.62-16
- fix #1000681 - add Install section to service file

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 23 2013 Jan Kaluza <jkaluza@redhat.com> - 0.62-14
- fix #955320 - use hardened build
- move to systemd

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 15 2008 Chris Ricker <kaboom@oobleck.net> 0.62-7
- fix license field
- rebuild for GCC 4.3

* Mon Sep 11 2006 Chris Ricker <kaboom@oobleck.net> 0.62-6
- Bump and rebuild

* Tue Feb 14 2006 Chris Ricker <kaboom@oobleck.net> 0.62-5
- rebuild for FC5

* Thu Jun 30 2005 Chris Ricker <kaboom@oobleck.net> 0.62-4
- use SIGHUP for reload in init script (Ville Skyttä)
- example config file made mode 0644 (Ville Skyttä)
- Add dist tag

* Fri Jun 02 2005 Chris Ricker <kaboom@oobleck.net> 0.62-3
- Fix %%preun script
- install instead of cp and %%attr (Ville Skyttä)

* Thu Apr 28 2005 Chris Ricker <kaboom@oobleck.net> 0.62-2
- Really include the logrotate file this time

* Tue Apr 26 2005 Chris Ricker <kaboom@oobleck.net> 0.62-1
- Initial package
